Summary: Python binding to the Networking and Cryptography (NaCl) library
Name: python-PyNaCl
Version: 0.3.0
Release: 3%{?dist}.1
Source0: https://pypi.python.org/packages/source/P/PyNaCl/PyNaCl-%{version}.tar.gz
Patch0: python-PyNaCl-use-system-sodium.patch
License: ASL 2.0
Group: Development/Libraries
BuildRequires: libsodium-devel >= 1.0.1
BuildRequires: python-cffi >= 0.8
BuildRequires: python-setuptools
BuildRequires: python-devel
Requires: libsodium >= 1.0.1
Provides: python-pynacl = %{version}-%{release}
Provides: python2-pynacl = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Donald Stufft <donald@stufft.io>
Url: https://github.com/pyca/pynacl/

%description
PyNaCl is a Python binding to the `Networking and Cryptography library`_,
a crypto library with the stated goal of improving usability, security and
speed.

%prep
%setup -n PyNaCl-%{version}
%patch0 -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
%{__python2} setup.py install --single-version-externally-managed -O2 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%changelog
* Tue Mar 14 2017 Oleg Girko <ol@infoserver.lv> 0.3.0-2
- Provide python-pynacl and python2-pynacl
* Sat Jul 18 2015 Oleg Girko <ol@infoserver.lv> 0.3.0-1
- Add "python-" prefix to package name
* Tue Jul 14 2015 Oleg Girko <ol@infoserver.lv> 0.3.0-1
- Initial import
